.block-calendar {
    position: relative;
    padding-top: 12px;
    display: grid;
    grid-template-columns: 50px 1fr;
    grid-template-rows: auto auto;
    max-width: 1280px;
}
.block-calendar__bookings {
    position: relative;
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 2;
    grid-row-end: 3;
    display: grid;
    /* grid-gap: 4px; */
    grid-template-columns: [monday] 1fr [tuesday] 1fr [wednesday] 1fr [thursday] 1fr [friday] 1fr [saturday] 1fr [sunday] 1fr;
    grid-template-rows: repeat(48, 40px);
    width: 100%;
    min-height: 700px;
    /* max-height: 800px; */
    /* overflow: scroll; */
    /* border: 2px solid #eee;  */
    background: repeating-linear-gradient(
        180deg,
        #ddd,
        #ddd 0px,
        #fff 1px,
        #fff 40px
    );
}
.block-calendar__x-axis-labels {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 2; 
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    background-color: #fff;
}
.block-calendar__x-axis-labels span {
    text-align: center;
    margin-bottom: 12px;
    margin-top: 12px;
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
}
.block-calendar__x-axis-labels.element-is-sticky {
    margin-left: 50px !important;
    border-bottom: 1px solid #ddd;
    box-shadow: 0px 5px 5px -5px rgba(0,0,0,0.1);
    z-index: 200 !important;
}
.block-calendar__y-axis-labels {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 2;
    grid-row-end: 3;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(24, 80px);
}
.block-calendar__y-axis-labels span {
    position: relative;
    top: -9px;
    opacity: 0.7;
    text-align: right;
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
}
.calendar__booking {
    border-right: 1px solid #ddd;
    display: flex;
    align-items: stretch;
    text-decoration: none;
}
.calendar__booking div {
    /* border: 2px solid #eee; */
    width: 100%;
    opacity: 0.8;
    margin: 4px;
    background: repeating-linear-gradient(
        45deg,
        rgb(241, 255, 248),
        rgb(241, 255, 248) 10px,
        #D3FAE5 10px,
        #D3FAE5 20px
    );
    border-radius: 3px;
    padding: 4px;
    color: #00B769;
    font-size: 12px;
    line-height: 1.2em;
    overflow: hidden;
}
.calendar__booking:hover div {
    opacity: 1;
    box-shadow: 0px 0px 4px 0px rgba(0,0,0,0.1);
}
.calendar__booking--status-confirmed div {
    background: #D3FAE5;
}
.calendar__booking--urgency-high div {
    background-color: #FAD3D4;
    color: #B70A00;
}
.calendar__booking--urgency-high.calendar__booking--status-unconfirmed div {
    background: repeating-linear-gradient(
        45deg,
        rgb(253, 232, 232),
        rgb(253, 232, 232) 10px,
        #FAD3D4 10px,
        #FAD3D4 20px
    );
}
.calendar__booking--Monday {
    grid-column-start: 1;
    grid-column-end: 2;
}
.calendar__booking--Tuesday {
    grid-column-start: 2;
    grid-column-end: 3;
}
.calendar__booking--Wednesday {
    grid-column-start: 3;
    grid-column-end: 4;
}
.calendar__booking--Thursday {
    grid-column-start: 4;
    grid-column-end: 5;
}
.calendar__booking--Friday {
    grid-column-start: 5;
    grid-column-end: 6;
}
.calendar__booking--Saturday {
    grid-column-start: 6;
    grid-column-end: 7;
}
.calendar__booking--Sunday {
    grid-column-start: 7;
    grid-column-end: 8;
}
.calendar__booking--0000 { grid-row-start: 1; grid-row-end: 2; }
.calendar__booking--0030 { grid-row-start: 2; grid-row-end: 3; }
.calendar__booking--0100 { grid-row-start: 3; grid-row-end: 4; }
.calendar__booking--0130 { grid-row-start: 4; grid-row-end: 5; }
.calendar__booking--0200 { grid-row-start: 5; grid-row-end: 6; }
.calendar__booking--0230 { grid-row-start: 6; grid-row-end: 7; }
.calendar__booking--0300 { grid-row-start: 7; grid-row-end: 8; }
.calendar__booking--0330 { grid-row-start: 8; grid-row-end: 9; }
.calendar__booking--0400 { grid-row-start: 9; grid-row-end: 10; }
.calendar__booking--0430 { grid-row-start: 10; grid-row-end: 11; }
.calendar__booking--0500 { grid-row-start: 11; grid-row-end: 12; }
.calendar__booking--0530 { grid-row-start: 12; grid-row-end: 13; }
.calendar__booking--0600 { grid-row-start: 13; grid-row-end: 14; }
.calendar__booking--0630 { grid-row-start: 14; grid-row-end: 15; }
.calendar__booking--0700 { grid-row-start: 15; grid-row-end: 16; }
.calendar__booking--0730 { grid-row-start: 16; grid-row-end: 17; }
.calendar__booking--0800 { grid-row-start: 17; grid-row-end: 18; }
.calendar__booking--0830 { grid-row-start: 18; grid-row-end: 19; }
.calendar__booking--0900 { grid-row-start: 19; grid-row-end: 20; }
.calendar__booking--0930 { grid-row-start: 20; grid-row-end: 21; }
.calendar__booking--1000 { grid-row-start: 21; grid-row-end: 22; }
.calendar__booking--1030 { grid-row-start: 22; grid-row-end: 23; }
.calendar__booking--1100 { grid-row-start: 23; grid-row-end: 24; }
.calendar__booking--1130 { grid-row-start: 24; grid-row-end: 25; }
.calendar__booking--1200 { grid-row-start: 25; grid-row-end: 26; }
.calendar__booking--1230 { grid-row-start: 26; grid-row-end: 27; }
.calendar__booking--1300 { grid-row-start: 27; grid-row-end: 28; }
.calendar__booking--1330 { grid-row-start: 28; grid-row-end: 29; }
.calendar__booking--1400 { grid-row-start: 29; grid-row-end: 30; }
.calendar__booking--1430 { grid-row-start: 30; grid-row-end: 31; }
.calendar__booking--1500 { grid-row-start: 31; grid-row-end: 32; }
.calendar__booking--1530 { grid-row-start: 32; grid-row-end: 33; }
.calendar__booking--1600 { grid-row-start: 33; grid-row-end: 34; }
.calendar__booking--1630 { grid-row-start: 34; grid-row-end: 35; }
.calendar__booking--1700 { grid-row-start: 35; grid-row-end: 36; }
.calendar__booking--1730 { grid-row-start: 36; grid-row-end: 37; }
.calendar__booking--1800 { grid-row-start: 37; grid-row-end: 38; }
.calendar__booking--1830 { grid-row-start: 38; grid-row-end: 39; }
.calendar__booking--1900 { grid-row-start: 39; grid-row-end: 40; }
.calendar__booking--1930 { grid-row-start: 40; grid-row-end: 41; }
.calendar__booking--2000 { grid-row-start: 41; grid-row-end: 42; }
.calendar__booking--2030 { grid-row-start: 42; grid-row-end: 43; }
.calendar__booking--2100 { grid-row-start: 43; grid-row-end: 44; }
.calendar__booking--2130 { grid-row-start: 44; grid-row-end: 45; }
.calendar__booking--2200 { grid-row-start: 45; grid-row-end: 46; }
.calendar__booking--2230 { grid-row-start: 46; grid-row-end: 47; }
.calendar__booking--2300 { grid-row-start: 47; grid-row-end: 48; }
.calendar__booking--2330 { grid-row-start: 48; grid-row-end: 49; }


.calendar__booking--duration-30 {
    grid-row-end: span 1;
}
.calendar__booking--duration-60 {
    grid-row-end: span 2;
}
.calendar__booking--duration-90 {
    grid-row-end: span 3;
}
.calendar__booking--duration-120 {
    grid-row-end: span 4;
}
.calendar__booking--duration-180 {
    grid-row-end: span 6;
}
.calendar__booking--duration-240 {
    grid-row-end: span 8;
}
.block-calendar__booking__title {
    display: block;
    font-weight: 600;
    font-size: 13px;
}
.block-calendar__booking__client {
    display: block;
}
.block-calendar__booking__start-time {

}
.block-calendar__booking__duration {

}
.block-calendar__add-booking-button {
    border-right: 1px solid #ddd;
    display: flex;
    align-items: stretch;
}
.block-calendar__add-booking-button a {
    position: relative;
    margin-top: 1px;
    background-color: transparent;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    font-size: 16px;
    font-weight: 700;
    flex-grow: 1;
}
.block-calendar__add-booking-button a:visited,
.block-calendar__add-booking-button a:focus,
.block-calendar__add-booking-button a:active {
    color: #fff;
}
.block-calendar__add-booking-button a:hover {
    background-color: #f7f7f7;
    color: var(--body-color);
    border: 3px solid #fff;
    border-radius: 4px;
}

.block-calendar__time-line {
    display: block;
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #F41014;
    z-index: 100;
}
.block-calendar__time-line:before {
    display: block;
    content: "";
    position: absolute;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background-color: #F41014;
    left: -8px;
    top: -6px;
}
.block-calendar__time-line--Mon {
    grid-column-start: 1;
    grid-column-end: 2;
}
.block-calendar__time-line--Tue {
    grid-column-start: 2;
    grid-column-end: 3;
}
.block-calendar__time-line--Wed {
    grid-column-start: 3;
    grid-column-end: 4;
}
.block-calendar__time-line--Thu {
    grid-column-start: 4;
    grid-column-end: 5;
}
.block-calendar__time-line--Fri {
    grid-column-start: 5;
    grid-column-end: 6;
}
.block-calendar__time-line--Sat {
    grid-column-start: 6;
    grid-column-end: 7;
}
.block-calendar__time-line--Sun {
    grid-column-start: 7;
    grid-column-end: 8;
}